
Redmine - Defect #8244

selected modules are not activated when copying a project

2011-04-28 16:50 - Arnaud Martel

Status: Closed Start date: 2011-04-28

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 1.1.3   

Resolution: Fixed Affected version:  

Description

Defect is detected with redmine r5506 and a workaround is to comment line 120, in app/controllers/projects_controller.rb:

        @project.enabled_module_names = params[:enabled_modules]

 I think that, anyway, this line is not good because here is an extract of the log file and controller should use

params[:project][:enabled_module_names]:

Processing ProjectsController#copy (for 132.166.52.226 at 2011-04-28 16:40:17) [POST]

Parameters: {"only"=>["members", "versions", "issue_categories", "issues", "queries", "boards", "wiki", ""], "commit"=>"Copier",

"project"=>{"issue_custom_field_ids"=>[""], "name"=>"pipo", "enabled_module_names"=>["issue_tracking", "wiki", "repository",

"calendar", "gantt", "bigbluebutton", "doodles", "scm_extensions", "synapse", "webdav", "wiki_extensions", ""],

"tracker_ids"=>["3", "6", ""], "description"=>"", "homepage"=>"", "is_public"=>"0", "identifier"=>"pipo", "parent_id"=>"",

"custom_field_values"=>{"7"=>""}}, "action"=>"copy", "authenticity_token"=>"XXXXXXXXXX", "id"=>"template-synapse",

"controller"=>"projects"}

 Kind regards,

Arnaud

Associated revisions

Revision 5581 - 2011-04-29 09:26 - Jean-Philippe Lang

Fixed: selected modules are not activated when copying a project (#8244).

History

#1 - 2011-04-28 18:00 - Etienne Massip

- Priority changed from Normal to High

- Target version set to Candidate for next minor release

Confirmed, modules selected in copy page are not taken into account and checkboxes in the settings Modules tab of the newly created project are all

unchecked.

#2 - 2011-04-29 09:34 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version changed from Candidate for next minor release to 1.1.3

- Resolution set to Fixed
